package com.jianshui.platform.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: kane
 * @Description: 含税不含税转换传输类
 * @CreateTime: 2023-06-07  13:46
 * @Version: 1.0
 **/
@ApiModel("含税不含税转换")
@Data
public class TaxSwitchingDTO {
    @ApiModelProperty("货物或应税劳务、服务名称")
    private String taxName;
    @ApiModelProperty("规格型号")
    private String specification;
    @ApiModelProperty("单位")
    private String unit;
    @ApiModelProperty("数量")
    private BigDecimal number;
    @ApiModelProperty("单价")
    private BigDecimal unitPrice;
    @ApiModelProperty("金额")
    private BigDecimal money;
    @ApiModelProperty("税率")
    private BigDecimal taxRate;
    @ApiModelProperty("税额")
    private BigDecimal taxMoney;
    @ApiModelProperty("状态0-含税，1-不含税")
    private String status;

}
